Name:			nautilus-share
Version:		0.7.2
Release:		12%{?dist}
Summary:		Easy sharing folder via Samba (CIFS protocol)
Summary(pl):		Proste dzielenie folderów poprzez Sambę (protokół CIFS)
Group:			Applications/File
License:		GPLv2+
URL:			http://gentoo.ovibes.net/%{name}/mediawiki-1.4.4/index.php/Accueil
Source0:		http://gentoo.ovibes.net/%{name}/%{name}-%{version}.tar.gz
Source1:		nautilus-share-setup-instructions
Source2:		nautilus-share-smb.conf.example
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:		libdaemon-devel
BuildRequires:		nautilus-devel
BuildRequires:		gettext
BuildRequires:		perl(XML::Parser)
BuildRequires:		eel2-devel
Requires:		samba >= 3.0.22

%description
Nautilus extension designed for easier folders 
sharing via Samba (CIFS protocol) in *NIX systems.

%description -l pl
Rozszerzenie Nautilusa stworzone, by ułatwić 
dzielenie folderów poprzez Sambę (protokół CIFS) 
na systemach *NIX.

%prep
%setup -q
cp %{SOURCE1} SETUP


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
rm $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/lib%{name}.la
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/samba/
cp %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/samba/
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO SETUP
%{_libdir}/nautilus/extensions-1.0/*
%{_datadir}/nautilus-share/
%{_sysconfdir}/samba/%{name}-smb.conf.example


%changelog
* Wed Feb 06 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.7.2-12
- SETUP doc file added, example smb.conf file added (RHBZ#431655)... Fixed

* Fri Nov 23 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.7.2-11
- Static library removal

* Fri Nov 23 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.7.2-10
- Sources permissions... Fixed

* Fri Nov 23 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.7.2-9
- BuildRequires... Fixed
- Timestamps preserving... Fixed
- Owning of Nautilus extensions' directory... Fixed
- License... Fixed
- Static archive removal... Fixed

* Thu Nov 22 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.7.2-8
- Summary and description... Fixed
- Summary and description in polish language... Added
- Timestamps preserving... Fixed
- BuildRequires... Fixed

* Sun Oct 28 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.7.2-7
- Forgot to add INSTALL to the doc section

* Sat Oct 27 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.7.2-6
- Added defattr section

* Sat Oct 27 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.7.2-5
- Added few BRs

* Fri Oct 26 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.7.2-4
- Changelog fix

* Fri Oct 26 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.7.2-3
- Fixes in files section, typo in find_lang, .la and .a removal

* Fri Oct 26 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.7.2-2
- Fixes in files section, requires removal, license tag correction

* Fri Oct 26 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.7.2-1
- Initial release
